
// Various types of message boxes in use throughout articles
.info, .tip, .important, .caution, .warning, .hint {
	border: 1px solid #9ad0ff;
	padding: 1.5em 1.8em 1.5em;
	border-radius: 5px;
	overflow: hidden;
	margin: 2.5em 0;

	// For when it's at the very top of an article
	&:first-child {
		margin-top: 0;	
	}	

	p, pre, table {
		margin-bottom: 1em;
	}
	
	.icon {
		float: left;
		width: 80px;
		margin-right: 1.8rem;
		// margin-bottom: 22px;
	
		@media (max-width: 500px) {
			width: 40px;
			margin-right: 1rem;
		}
	}
	& > div {
		overflow: hidden;
	}
	
	// When the box immediately follows a heading,
	// give it a little extra space
	h1 + &, h2 + &, h3 + &, h4 + & {
		margin-top: 1rem;
	}

	&.less-spacing {
	    margin: 1.66rem 0;
	}

	// No bottom margin on last child element
	& > :last-child {
		margin-bottom: 0;

		// Reduce margin bottom in some special cases with nested tags
		& > :last-child {
			margin-bottom: 0;
		}
		li:last-child p:last-child {
			margin-bottom: 0.33em;
		}
	}

	// If the "emoji" class is also on the same DIV
	// we'll set the first character to be larger
	// and positioned to the left of the text
	&.emoji {
		padding-left: 4em;

		&::first-letter, & > p:first-child::first-letter {
			float: left;
			margin-left: -1.93em;
			font-size: 150%;
		}
	}

	// If any of these classes are applied directly onto a <p> tag, then we
	// have specific rule(s) for them here
	// @at-root #{selector-append(p, &)} {
		// padding-bottom: 1.2em;
	// }
}

// We'll make these slightly smaller than the "info" one
.tip, .important, .caution, .warning, .hint {
	font-size: 94%;
	padding: 1em 1.3em 1em;
}

.tip, .info {
    background-color: aliceblue;
}
// Make links slightly more subtle and not look so jarring
.tip a {
    border-bottom-color: #bddfff;
    color: #6a8ba7;
	&:hover {
		color: inherit;
	}
}
	// Disable the box on homepage (for now)
	.homepage-content .info {
	    border: 0;
	    background: none;
	    padding: 0;
	    margin: 0;
	}

// Dark navy color
.important {
	// background-color: #525765;
	background-color: #314150;
	border-color: #000;
	color: white;
}
// Yellow/orange color
.caution, .warning {
	background-color: #fff4c9;
	border-color: #e1be7c;
}
// Grey color
.hint {
	background-color: #f2f2f2;
	border-color: #e1e1e1;
	color: #71797f;
}
